"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapInput = exports.MapInputVariants = void 0;
var react_1 = __importDefault(require("react"));
var MapInputByMarker_1 = __importDefault(require("./MapInputByMarker"));
var MapInputByRegion_1 = __importDefault(require("./MapInputByRegion"));
var MapInputVariants;
(function (MapInputVariants) {
    MapInputVariants["BY_REGION"] = "by-region";
    MapInputVariants["BY_MARKER"] = "by-marker";
})(MapInputVariants = exports.MapInputVariants || (exports.MapInputVariants = {}));
var MapInput = function (_a) {
    var _b = _a.variant, variant = _b === void 0 ? MapInputVariants.BY_MARKER : _b, props = __rest(_a, ["variant"]);
    if (variant === MapInputVariants.BY_MARKER) {
        return react_1.default.createElement(MapInputByMarker_1.default, __assign({}, props));
    }
    if (variant === MapInputVariants.BY_REGION) {
        return react_1.default.createElement(MapInputByRegion_1.default, __assign({}, props));
    }
    throw new Error("Unknown variant: " + variant);
};
exports.MapInput = MapInput;
exports.default = exports.MapInput;
